vBulletin BBTag XSS

2005-01-15T23:17:15
ID OSVDB:13150
Type osvdb
Reporter OSVDB
Modified 2005-01-15T23:17:15

Description

Vulnerability Description

vBulletin contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate nested style variables when processing BBTags. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Solution Description

Upgrade to version 2.3.6 or 3.0.6 or higher, as they have been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

vBulletin contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate nested style variables when processing BBTags. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

References:

Vendor URL: http://www.vbulletin.com/ Vendor Specific Advisory URL Related OSVDB ID: 13151 Other Advisory URL: http://www.securitylab.ru/51808.html Mail List Post: http://archives.neohapsis.com/archives/fulldisclosure/2005-01/0526.html